Bug 50616 - up2date update of openssl breaks apache web server
up2date update of openssl breaks apache web server
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 13:22 EDT by Bill Uhl
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 04:49:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Uhl 2001-08-01 13:22:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (WinNT; U)

Description of problem:
after updating openssl with up2date, apache refuses to restart. error message from syslog follows:
error message from /var/log/messages
Jul 30 09:18:02 ll03 httpd: Syntax error on line 273 of /etc/httpd/conf/httpd.conf:
Jul 30 09:18:02 ll03 httpd: Cannot load /etc/httpd/modules/libssl.so into server: symbol __sysconf, version GLIBC_2.2 not defined in file 
libc.so.6 with link time reference
Jul 30 09:18:02 ll03 httpd: httpd startup failed

following is lines 272 to 274 from httpd.conf:
<IfDefine HAVE_SSL>
LoadModule ssl_module         modules/libssl.so
</IfDefine>

I don't know if this is the same library version problem as the other openssl problems reported recently.
Can't roll back openssl without rolling back a lot of dependencies.
Apache works when SSL functionality is commented out of httpd.conf

How reproducible:
Didn't try


Additional info:
Comment 1 Tomas Mraz 2005-02-03 04:49:37 EST
RH 7.0 hasn't been supported for a long time now.

Note You need to log in before you can comment on or make changes to this bug.